> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mem0.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Webhook

> Delete an existing webhook by its ID to stop receiving notifications for memory events.



## OpenAPI

````yaml delete /api/v1/webhooks/{webhook_id}/
openapi: 3.0.1
info:
  title: Mem0 API Docs
  description: mem0.ai API Docs
  contact:
    email: support@mem0.ai
  license:
    name: Apache 2.0
  version: v1
servers:
  - url: https://api.mem0.ai/
security:
  - ApiKeyAuth: []
paths:
  /api/v1/webhooks/{webhook_id}/:
    delete:
      tags:
        - webhooks
      summary: Delete Webhook
      description: Delete an existing webhook
      operationId: delete_webhook
      parameters:
        - name: webhook_id
          in: path
          required: true
          description: Unique identifier of the webhook.
          schema:
            type: string
      responses:
        '200':
          description: Webhook deleted successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Webhook deleted successfully
        '403':
          description: Unauthorized access
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: You don't have access to this webhook
        '404':
          description: Webhook not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Webhook not found
      x-code-samples:
        - lang: Python
          source: |-
            # To use the Python SDK, install the package:
            # pip install mem0ai

            from mem0 import MemoryClient
            client = MemoryClient(api_key="your_api_key")

            # Delete a webhook
            response = client.delete_webhook(webhook_id="your_webhook_id")
            print(response)
        - lang: JavaScript
          source: |-
            // To use the JavaScript SDK, install the package:
            // npm i mem0ai

            import MemoryClient from 'mem0ai';
            const client = new MemoryClient({ apiKey: "your-api-key" });

            // Delete a webhook
            client.deleteWebhook("your_webhook_id")
                .then(response => console.log('Delete webhook response:', response))
                .catch(error => console.error(error));
        - lang: cURL
          source: >-
            curl -X DELETE
            "https://api.mem0.ai/api/v1/webhooks/your_webhook_id/webhook/" \
                 -H "Authorization: Token your-api-key"
        - lang: PHP
          source: |-
            <?php

            $curl = curl_init();

            curl_setopt_array($curl, [
                CURLOPT_URL => "https://api.mem0.ai/api/v1/webhooks/your_webhook_id/webhook/",
                CURLOPT_RETURNTRANSFER => true,
                CURLOPT_CUSTOMREQUEST => "DELETE",
                CURLOPT_HTTPHEADER => ["Authorization: Token your-api-key"],
            ]);

            $response = curl_exec($curl);
            curl_close($curl);

            echo $response;
        - lang: Go
          source: |-
            package main

            import (
                "fmt"
                "net/http"
                "io/ioutil"
            )

            func main() {
                req, _ := http.NewRequest("DELETE", "https://api.mem0.ai/api/v1/webhooks/your_webhook_id/webhook/", nil)
                req.Header.Add("Authorization", "Token your-api-key")

                res, _ := http.DefaultClient.Do(req)
                defer res.Body.Close()
                body, _ := ioutil.ReadAll(res.Body)

                fmt.Println(string(body))
            }
        - lang: Java
          source: >-
            import com.konghq.unirest.http.HttpResponse;

            import com.konghq.unirest.http.Unirest;


            // Delete a webhook

            HttpResponse<String> response =
            Unirest.delete("https://api.mem0.ai/api/v1/webhooks/your_webhook_id/webhook/")
                .header("Authorization", "Token your-api-key")
                .asString();

            System.out.println(response.getBody());
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        API key authentication. Prefix your Mem0 API key with 'Token '. Example:
        'Token your_api_key'

````